# Class MarkShape

java.lang.Object
uk.ac.starlink.ttools.plot.MarkShape

public abstract class MarkShape extends Object
Defines the abstract shape of a MarkStyle. Instances of this class are factories which can produce a family of MarkStyle objects with a shape which is in some sense the same, but of various sizes and colours.

Since:
  9 Jan 2006
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MarkShape`
`CROSS`
Factory for cross-hair markers.
`static final MarkShape`
`CROXX`
Factory for X-shaped markers.
`static final MarkShape`
`FILLED_CIRCLE`
Factory for filled circle markers.
`static final MarkShape`
`FILLED_DIAMOND`
Factory for filled diamond shaped markers.
`static final MarkShape`
`FILLED_SQUARE`
Factory for filled square markers.
`static final MarkShape`
`FILLED_TRIANGLE_DOWN`
Factory for filled triangle shaped markers with point at the bottom.
`static final MarkShape`
`FILLED_TRIANGLE_UP`
Factory for filled triangle shaped markers with point at the top.
`static final MarkShape`
`OPEN_CIRCLE`
Factory for open circle markers.
`static final MarkShape`
`OPEN_DIAMOND`
Factory for open diamond shaped markers.
`static final MarkShape`
`OPEN_SQUARE`
Factory for open square markers.
`static final MarkShape`
`OPEN_TRIANGLE_DOWN`
Factory for open triangle shaped markers with point at the bottom.
`static final MarkShape`
`OPEN_TRIANGLE_UP`
Factory for open triangle shaped markers with point at the top.
`static RenderingHints.Key`
`OUTLINE_CIRCLE_HINT`
Rendering hint concerning whether to draw outlines on filled circles.
`static final MarkShape`
`POINT`
Factory for point-like markers.

## Constructor Summary

Constructors
Constructor
Description
`MarkShape(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`abstract MarkStyle`
`getStyle(Color color, int size)`
Factory method which produces a MarkStyle of the shape characteristic of this object with specified colour and nominal size.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### OUTLINE_CIRCLE_HINT

public static RenderingHints.Key OUTLINE_CIRCLE_HINT
Rendering hint concerning whether to draw outlines on filled circles. In bitmap contexts, such circles typically look ugly if outlines are not drawn. However, in some contexts (vector graphics, especially of transparent markers) it is a bad idea. If this hint is set to Boolean.TRUE outlines will be drawn, and if it is set to Boolean.FALSE, they will not. If it is not set, the default policy will be followed, which currently means they *will* be drawn (this represents the historical behaviour).

### POINT

public static final MarkShape POINT
Factory for point-like markers. The size parameter is ignored.

### OPEN_CIRCLE

public static final MarkShape OPEN_CIRCLE
Factory for open circle markers.

### FILLED_CIRCLE

public static final MarkShape FILLED_CIRCLE
Factory for filled circle markers.

### OPEN_SQUARE

public static final MarkShape OPEN_SQUARE
Factory for open square markers.

### FILLED_SQUARE

public static final MarkShape FILLED_SQUARE
Factory for filled square markers.

### CROSS

public static final MarkShape CROSS
Factory for cross-hair markers.

### CROXX

public static final MarkShape CROXX
Factory for X-shaped markers.

### OPEN_DIAMOND

public static final MarkShape OPEN_DIAMOND
Factory for open diamond shaped markers.

### FILLED_DIAMOND

public static final MarkShape FILLED_DIAMOND
Factory for filled diamond shaped markers.

### OPEN_TRIANGLE_UP

public static final MarkShape OPEN_TRIANGLE_UP
Factory for open triangle shaped markers with point at the top.

### OPEN_TRIANGLE_DOWN

public static final MarkShape OPEN_TRIANGLE_DOWN
Factory for open triangle shaped markers with point at the bottom.

### FILLED_TRIANGLE_UP

public static final MarkShape FILLED_TRIANGLE_UP
Factory for filled triangle shaped markers with point at the top.

### FILLED_TRIANGLE_DOWN

public static final MarkShape FILLED_TRIANGLE_DOWN
Factory for filled triangle shaped markers with point at the bottom.

## Constructor Details

### MarkShape

public MarkShape(String name)
Constructor.

Parameters:
  `name` - shape name

## Method Details

### getStyle

public abstract MarkStyle getStyle(Color color, int size)
Factory method which produces a MarkStyle of the shape characteristic of this object with specified colour and nominal size.

Parameters:
  `color` - colour of style
  `size` - nominal size of style - any integer, or at least any integer >0 should give a reasonable image

### toString

public String toString()

Overrides:
  `toString` in class `Object`